#![allow(deprecated)]
#![no_main]
#![no_std]

#[allow(unused_extern_crates)]
extern crate panic_halt;

use rtfm::app;
use lpc43xx_hal::pac;

#[app(device = lpc43xx_pac)]
const APP: () = {
    static mut TIMER: pac::TIMER0 = ();

    #[init(spawn = [foo])]
    fn init() -> init::LateResources {
        spawn.foo().unwrap();

        init::LateResources {
            TIMER: device.TIMER0,
        }
    }

    #[interrupt(priority = 3, resources = [TIMER])]
    fn TIMER0() {
        cortex_m::asm::bkpt();
    }

    #[task(priority = 2)]
    fn foo() {
        cortex_m::asm::bkpt();
    }

    extern "C" {
        fn UART1();
    }
};
