README: modify memory.x for your device, then comment this line out
/* LPC43xx Linker Script

When starting anew, either find your configuration in the
  * list below and uncomment the relevant section, or if it's missing
  * in the "Memory Mapping" chapter of UM10503 manual and add it here

Tested boards:
  LPC-Link 2 (LPC4370, SPIFI flash)
  WaveShare Open43xxE2 (LPC4357, internal flash)
*/

/* LPC4370, SPIFI flash */
/*
MEMORY
{
  FLASH : ORIGIN = 0x14000000, LENGTH = 1M
  RAM :   ORIGIN = 0x10000000, LENGTH = 128K
}
*/

/* LPC4357, internal flash */
/*
MEMORY
{
  FLASH : ORIGIN = 0x1A000000, LENGTH = 512K
  RAM :   ORIGIN = 0x10000000, LENGTH = 32K
}
*/
