//! These registers contain bits and pieces that either didn't fit elsewhere or
//! didn't make sense to place with their own configuration blocks

/// Block 0 configures: 1/32kHz oscillator, USB0 phy, BOD level and reset, sample pin I/O and wakeup input
pub mod creg0;
/// Block 5 configures: ARM-Cortex M4 JTAG bypass, ARM-Cortex M0 JTAG bypass
pub mod creg5;
/// Block 6 configures: Ethernet mode, SCT input, EMC clock divider
pub mod creg6;
