# lpc43xx-drivers
Rust drivers, glue layer and RTFM support for the NXP LPC43xx series of microcontrollers.

## References
NXP LPC43XX User manual (UM10503)
```bash
:!sha256sum ~/pdf/lpc4300_user_manual.pdf
ffc70895afb9f7180f88c0405212753f80a5de1c5abcb2a1123bfd63add81338
```

# Minimum Supported Rust Version (MSRV)
Since this crate is intended to be used with RTFMv4, it requires at least the
same supported version of rust and has primarily been built/tested with that
version. In development, the preferred toolchain is
`nightly-2018-12-06-x86_64-unknown-linux-gnu` and this crate will be held back
*at least* until the RTFM authors announce an upgrade. This is to avoid
needlessly breaking production systems that are running the crate.
