#![allow(unused)]
//! CANBus interface
mod mo;
mod bus;
mod pin;

use crate::{
    pac,
    pac::{C_CAN0, C_CAN1, SCU},
};

pub use bus::{CanBus, MsgIface};

pub use mo::MsgObj;
pub use pin::{IntoCanRx, IntoCanTx, CanRx, CanTx};

pub use pac::c_can1::cntl::{CCE_A, DAR_A, EIE_A, IE_A, SIE_A, TEST_A};
pub use pac::c_can1::stat::LEC_A;
pub use pac::c_can1::test::{BASIC_A, LBACK_A, RX_A, SILENT_A};
