use crate::pac;
use pac::creg::creg5::{M0APPTAPSEL_A, M4TAPSEL_A};

pub fn config_jtag(creg: &pac::CREG, m4en: M4TAPSEL_A, m0en: M0APPTAPSEL_A) {
    creg.creg5
        .write(|w| w.m4tapsel().variant(m4en).m0apptapsel().variant(m0en));
}
